const errDiv = document.getElementById("errDiv");
const errWrapper = document.getElementById("errWrapper");

function setErr(x) {
  if (errDiv) {
    errDiv.innerHTML = x;
  }
  if (errWrapper) {
    errWrapper.style.display = "block";
  }
}

function closeErr() {
  if (errWrapper) {
    errWrapper.style.display = "none";
  }
}

function saveName() {
  const username = document.getElementById("name_entry");
  if (username) {
    document.cookie = "username=" + username.value;
  }
}

function loadName() {
  const username = document.getElementById("name_entry");
  if (username) {
    const cookies = document.cookie.split(";")
    if (cookies[0].trim().startsWith("username=")) {
      username.value = cookies[0].trim().split("=")[1];
    }
  }
}

loadName();